<?

sapp_include_once('common.php');

$pb_dbname = sapp_get_param('pb_dbname');
if (empty($pb_dbname)) {
	$pb_dbname = sapp_get_new_db_name('mysql');
}
$pb_dbuser = sapp_get_param('pb_dbuser');
if (empty($pb_dbuser)) {
	$pb_dbuser = sapp_get_new_db_user($pb_dbuser, 'mysql');
}

?>

<fieldset>
	<legend><?=msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('install_prefix') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-install_prefix"><?=msg('install_prefix')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="install_prefix" id="fid-install_prefix" value="<?=htmlspecialchars(sapp_get_install_prefix())?>">
		<span class="hint"><?=sapp_is_wrong('install_prefix') ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
</tr>

<? if (sapp_is_ssl_avaible()): ?>

<tr <?=sapp_is_wrong('ssl') ? 'class="error"' : ''?>>
	<td class="name"><?=msg('ssl')?>&nbsp;<?=REQ?></td>
	<td>
		<SELECT name="ssl">
			<OPTION value="false" <?=sapp_get_param('ssl')!='true' ? 'SELECTED':''?>><?=msg('ssl_off');?></OPTION>
			<OPTION value="true"  <?=sapp_get_param('ssl')=='true' ? 'SELECTED':''?>><?=msg('ssl_on');?></OPTION>
		</SELECT>
		<span class="hint"><?=sapp_is_wrong('ssl') ? sapp_get_wrong('ssl') : ''?></span>
	</td>
</tr>

<? endif; ?>

</table>

</fieldset>

<fieldset>
	<legend><?=msg('database_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('pb_dbname') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-pb_dbname"><?=msg('pb_dbname')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="pb_dbname" id="fid-pb_dbname" value="<?=htmlspecialchars($pb_dbname)?>">
		<span class="hint"><?=sapp_is_wrong('pb_dbname') ? sapp_get_wrong('pb_dbname') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('pb_dbuser') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-pb_dbuser"><?=msg('pb_dbuser')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="pb_dbuser" id="fid-pb_dbuser" value="<?=htmlspecialchars($pb_dbuser)?>">
		<span class="hint"><?=sapp_is_wrong('pb_dbuser') ? sapp_get_wrong('pb_dbuser') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('pb_dbpasswd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-pb_dbpasswd"><?=msg('pb_dbpasswd')?>&nbsp;<?=sapp_get_param('pb_dbpasswd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="pb_dbpasswd" id="fid-pb_dbpasswd" value="">
		<span class="hint"><?=sapp_is_wrong('pb_dbpasswd') ? sapp_get_wrong('pb_dbpasswd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('pb_dbconfirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-pb_dbconfirm"><?=msg('pb_dbconfirm')?>&nbsp;<?=sapp_get_param('pb_dbpasswd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="pb_dbconfirm" id="fid-pb_dbconfirm" value="">
		<span class="hint"><?=sapp_is_wrong('pb_dbconfirm') ? sapp_get_wrong('pb_dbconfirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>

<fieldset>
	<legend><?=msg('administrator_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('pb_admin_email') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-pb_admin_email"><?=msg('pb_admin_email')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="pb_admin_email" id="fid-pb_admin_email" value="<?=htmlspecialchars(sapp_get_param('pb_admin_email'))?>">
		<span class="hint"><?=sapp_is_wrong('pb_admin_email') ? sapp_get_wrong('pb_admin_email') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('pb_admin_passwd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-pb_admin_passwd"><?=msg('pb_admin_passwd')?>&nbsp;<?=sapp_get_param('pb_admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="pb_admin_passwd" id="fid-pb_admin_passwd" value="">
		<span class="hint"><?=sapp_is_wrong('pb_admin_passwd') ? sapp_get_wrong('pb_admin_passwd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('pb_admin_confirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-pb_admin_confirm"><?=msg('pb_admin_confirm')?>&nbsp;<?=sapp_get_param('pb_admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="pb_admin_confirm" id="fid-pb_admin_confirm" value="">
		<span class="hint"><?=sapp_is_wrong('pb_admin_confirm') ? sapp_get_wrong('pb_admin_confirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>